Public Class Form1

    Private Sub textbox1_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles TextBox1.GotFocus
        TextBox1.SelectionStart = 0
        TextBox1.SelectionLength = TextBox1.TextLength
    End Sub

End Class
